# Project: Rewrite the Lockbox validator from module 302.

Cheers for going through so far! Now that you have more experience and some tricks under the sleeve with Aiken, we leave you one final challenge: Rewrite in Aiken of the Lockbox contract from the previous module. While this may seem challenging, we believe you've been sufficiently exposition to the language to accomplish it... all you need is to apply what you have learned in these lessons. You can find the source code of the contract [here](https://gitlab.com/gimbalabs/ppbl-2023/ppbl2023-plutus-template/-/blob/main/src/Lockbox/Validator.hs?ref_type=heads)

## Next steps

If you've enjoyed your experience with Aiken and are eager to delve deeper into it, we have some recommendations:

* **Explore the Comprehensive Aiken Documentation:** The main Aiken documentation offers a wealth of information that goes beyond what we covered in this course. It includes engaging tutorials that span from contract design to creating full-stack applications.

* **Get Involved in the Aiken Project:** As you may have noticed in lesson 303.4, Aiken is an ongoing project with plenty of room for growth and improvement. There are many opportunities to contribute to the language's development. You can help by addressing uncovered topics or details in the documentation, reporting issues you encounter, or even proposing and working on new features. There are many ways to contribute to open source projects like this and you don't have to be an expert to it. In this sense, it is worth mentioning too that the Aiken community and maintainers are very approachable and welcoming.

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;
